<?php
/* **************************************************************************** *

 * cor-articles.php								*
 * @package	Core								*
 * @copyright	Copyright (c) 2008 Martin Novák. All rights reserved		*
 * @license	GNU/AGPL http://www.gnu.org/licenses/agpl.html			*

 * Albireo is free software! You can redistribute it and/or modify it under	*
 * the terms of the GNU Affero General Public License as published		*
 * by the Free Software Foundation, either version 3 of the License, or		*
 * (at your option) any later version.						*

 *	This program is distributed in the hope that it will be useful,		*
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of		*
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the		*
 *	GNU Affero General Public License for more details.			*

 This script description:
 Page for managing articles of Albireo.

 Properties:
    array $page			// contains changes for array $page in ScriptPage

 Public Methods:
    none

 * **************************************************************************** */

class Browser {

    public $page = array ( "text" => "" );

    public function __construct ()
    {
		$this -> page ["text"] = "	<div id='browsewindow'>
                                        <div>Složky:</div>
										<ul>
											".$this -> imglist (($_GET["dir"] ? $_GET["dir"] : null))."
										</ul>
									</div>
									<div id='imgprev'>
                                        <div>Náhled:</div>
									</div>
									<div class='cleaner'> </div>
									<div style='margin-top:2px;'><label for='path'>Cesta: </label><input type='text' readonly='readonly' id='path' name='path' size='41' maxlength='1000' value='".$_GET["path"]."'/><span id='okbutt'></span></div>";
    } // end __construct
	
	private function imglist ( $dir = null )
	{
		if ( $dir == null || $dir == '/' ) {
			$directory = Database::connection () -> fetchall_assoc ( "SELECT * FROM `drivefilesv2` WHERE url='/';" );
			foreach ( $directory as $folder ) {
				$content .= "<li><a href=\"#\" onclick=\"changeWidthDialogueByGET(location.href.substr(0,location.href.indexOf('fckeditor/'))+'".Tools::getPage().".xml?dir=".$folder["physicalname"]."&url=".$folder["url"]."&path=".$folder [ "physicalname" ]."',400);return false;\">".$folder [ "physicalname" ]."</a></li>";
			}
		} else {
    	    $dir_check = Database::connection () -> fetch_assoc ( "SELECT * FROM `drivefilesv2` WHERE `url`='". addslashes ( $_GET [ "url" ] ) ."' AND `physicalname`='$dir';" );
    	    $dir_check = ( is_array ( $dir_check ) ) ? $dir_check : array ( "author" => 1, "groupid" => 1, "access" => "ww0", "url" => "/" );
            $parent_directory = addslashes ( substr ( $_GET [ "url" ] , 1 ) );
            if ( !strrchr ( substr ( $parent_directory, 0, -1 ), "/" ) ) {
                $parent_url = "/";
                $parent_physicalname = substr ( $parent_directory, 0, -1 );
            } else {
                $slash = strrpos ( substr ( $parent_directory, 0, -1 ), "/" );
                $parent_url = ( substr ( $parent_directory, 0, 1 ) == "/" ) ? substr ( $src , 0, $slash+1 ) : "/".substr ( $parent_directory , 0, $slash+1 );
                $parent_physicalname = substr ( strrchr ( substr ( $parent_directory, 0, -1 ), "/" ), 1 ).substr($parent_directory,-1);
                $parent_physicalname = ( substr ( $parent_physicalname, -1 ) == "/" ) ? substr ( $parent_physicalname, 0, -1 ) : $parent_physicalname;
            }
			$content .= "<li><a href=\"#\" onclick=\"changeWidthDialogueByGET(location.href.substr(0,location.href.indexOf('fckeditor/'))+'".Tools::getPage().".xml?dir=$parent_physicalname&url=$parent_url&path=".substr($_GET["path"],0,strrpos($_GET["path"],"/"))."',400);return false;\">..</a></li>";
	    	if ( !SecurityTools::check_read ( $dir_check [ "access" ], $dir_check [ "author" ], $dir_check [ "groupid" ] ) ) {
				$content .= "<li>Nemáte právo číst tuto složku!</li>";
	    	} else {
				$dir_content = Database::connection () -> fetchall_assoc ( "SELECT * FROM `drivefilesv2` WHERE `url`='".addslashes($_GET["url"]).$dir."/';" );
				foreach ( $dir_content as $file ) {
					$type = strrchr ( $file [ "physicalname"], "." );
					switch ( strtolower($type) ) {
						case ".jpg":
						case ".gif":
						case ".png":
						case ".ico":
						case ".bmp":
                            if ( SecurityTools::check_read ( $file [ "access" ], $file [ "author" ], $file [ "groupid" ] ) ) {
                                $content .= "<li><a href=\"#\" class=\"filelinks\">".$file [ "physicalname"] ."</a></li>";
//onclick=\"$('#imgprev').html('<img src=\''+location.href.substr(0,location.href.indexOf('fckeditor/'))+'".$_GET["path"]."/".$file ["physicalname"]."\' alt=\'bum\' />');$('#okbutt').html('<input type=\'button\' value=\'OK\' id=\'\' />');return false;\"
                            }
							break;
						case "":
							$content .= "<li><a href=\"#\" onclick=\"changeWidthDialogueByGET(location.href.substr(0,location.href.indexOf('fckeditor/'))+'".Tools::getPage().".xml?dir=".$file["physicalname"]."&url=".$file["url"]."&path=".($_GET["path"]."/".$file [ "physicalname" ])."',400);return false;\">".$file [ "physicalname" ]."</a></li>";
							break;
						default:
					}
				}
                $content .= "<script type=\"text/javascript\">";
                $content .= '$(".filelinks").click(function () {
                $("#imgprev").html("<img src=\""+location.href.substr(0,location.href.indexOf(\'fckeditor/\'))+"'.$_GET["path"].'/"+$(this).text()+"\" valign=\"middle\" alt=\"preview\" />");
                afile = $(this).text();
                $("#okbutt").html("<input type=\"button\" value=\"OK\" onclick=\"changeURL(\''.$_GET["path"].'/\'+afile);closeDialogueWindow();\" />");
                } );';

                $content .= "</script>";
			}
		}
		return $content;
	} // end imglist
}
$Browser = new Browser ();
$page = $Browser -> page;
?>